# cddconfig.py - Data handling routines developed by Optibrium for integration of CDD Vault with StarDrop software
# Use of this code is subject to the terms of the StarDrop License Agreement and use, copying or redistribution of this file for use by other persons or organisations is prohibited
# Copyright(C) Optibrium Ltd 2016
# stardrop-support@optibrium.com
#

"""Module to hold some configuration options for accessing CDD Vault from StarDrop"""
url = "https://app.collaborativedrug.com/api/v1/vaults"

#parameters for type detection of returned values
TYPE_CHECK_DEPTH = 100
TYPE_CHECK_FRACTION = 0.7

def getToken():
	"""Attempt to read a saved token.
	@returns: A string token if available, otherwise an empty string
	"""
	try:
		file = open('cddtoken.txt')
		token = file.read()
		file.close()
		return token
	except:
		pass
	return ''
	
def setToken(token):
	"""Save a token for fiture use.
	@param: token: The new token
	"""
	try:
		file = open('cddtoken.txt','w')
		file.write(token)
		file.close()
	except:
		pass
		
	